//+------------------------------------------------------------------+
//|                                           TemplateLoopExpert.mq4 |
//|                                           Copyright  Zhunko     |
//|                                           vadim@zhunko.ru        |
//+------------------------------------------------------------------+
#property copyright "Copyright  Zhunko"
#property link      "vadim@zhunko.ru"
#include <ServicesMT.mqh> //    "ServicesMT.dll"     4.
#define VK_F7	0x76	// F7 key
int g_hwndChart = NULL;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
void init()
 {
  g_hwndChart = WindowHandle(Symbol(), 0);
  ServiceRefreshChart(g_hwndChart, 200); //   .
 }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
void deinit()
 {
 }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
void start()
 {
  ServiceStopRefreshChart(g_hwndChart); //   .
  for (int i = 0; !IsStopped(); i++)
   {//    F7,       .
    if (ServiceChartCheckPressKey(g_hwndChart, VK_F7)) break;
    Comment(": ", i);
    Sleep(1000);
   }
 }
//+------------------------------------------------------------------+